## gate.util
Class LuckyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--gate.util.LuckyException

All Implemented Interfaces:
  Serializable

public class LuckyException
extends RuntimeException

This exception is intended to be used in places where there definitely shouldn't be any exceptions thrown but the API requires us to catch some, eg: `try{ if( a != null){ a.doSomething(); } }catch(NullPointerException npe){ throw new LuckyException("I found a null pointer!"); }` Of course the system will never require you to catch NullPOinterException as it derives from RuntimeException, but I couldn't come with a better example.

See Also:
  Serialized Form

Constructor Summary
`LuckyException()` Default constructor, creates a new execption with the default message
`LuckyException(String message)` Creates a new exception with the provided message prepended to the default one on a separate line.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LuckyException

    public LuckyException()

  Default constructor, creates a new execption with the default message

### LuckyException

    public LuckyException(String message)

  Creates a new exception with the provided message prepended to the default one on a separate line.
  Parameters:
    `message` - the uses message